Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.messageservices.mycarenet.core.v1
Class TransactionType

    java.lang.Object
      be.fgov.ehealth.messageservices.mycarenet.core.v1.TransactionType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-09-22T05:49:43+02:00",
               comments="JAXB RI v2.2.11")
    public class TransactionType

extends Object
implements Serializable

Java class for transactionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="transactionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="confidentiality" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}confidentialityType" minOccurs="0"/>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded" minOccurs="0"/>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-TRANSACTION" maxOccurs="unbounded" minOccurs="0"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
             <element name="redactor" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
             <element name="iscomplete" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="isvalidated" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="expirationdate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="heading" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}headingType"/>
               <element name="item" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}itemType"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
               <element name="text-with-layout" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}textWithLayoutType" maxOccurs="unbounded"/>
               <element name="lnk" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}lnkType"/>
             </choice>
             <element name="recorddatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="begindate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="enddate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TransactionType()`

Method Summary
`AuthorType` | `getAuthor()` Gets the value of the author property.
`org.joda.time.DateTime` | `getBegindate()` Gets the value of the begindate property.
`List<CDTRANSACTION>` | `getCds()` Gets the value of the cds property.
`ConfidentialityType` | `getConfidentiality()` Gets the value of the confidentiality property.
`org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
`org.joda.time.DateTime` | `getEnddate()` Gets the value of the enddate property.
`org.joda.time.DateTime` | `getExpirationdate()` Gets the value of the expirationdate property.
`List<Object>` | `getHeadingsAndItemsAndTexts()` Gets the value of the headingsAndItemsAndTexts property.
`List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
`org.joda.time.DateTime` | `getRecorddatetime()` Gets the value of the recorddatetime property.
`AuthorType` | `getRedactor()` Gets the value of the redactor property.
`org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
`Boolean` | `isIscomplete()` Gets the value of the iscomplete property.
`Boolean` | `isIsvalidated()` Gets the value of the isvalidated property.
`void` | `setAuthor(AuthorType value)` Sets the value of the author property.
`void` | `setBegindate(org.joda.time.DateTime value)` Sets the value of the begindate property.
`void` | `setConfidentiality(ConfidentialityType value)` Sets the value of the confidentiality property.
`void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
`void` | `setEnddate(org.joda.time.DateTime value)` Sets the value of the enddate property.
`void` | `setExpirationdate(org.joda.time.DateTime value)` Sets the value of the expirationdate property.
`void` | `setIscomplete(Boolean value)` Sets the value of the iscomplete property.
`void` | `setIsvalidated(Boolean value)` Sets the value of the isvalidated property.
`void` | `setRecorddatetime(org.joda.time.DateTime value)` Sets the value of the recorddatetime property.
`void` | `setRedactor(AuthorType value)` Sets the value of the redactor property.
`void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionType

    public TransactionType()

Method Detail

### getConfidentiality

    public ConfidentialityType getConfidentiality()

  Gets the value of the confidentiality property.

  Returns:
    possible object is `ConfidentialityType`

### setConfidentiality

    public void setConfidentiality(ConfidentialityType value)

  Sets the value of the confidentiality property.

  Parameters:
    `value` - allowed object is `ConfidentialityType`

### getIds

    public List<IDKMEHR> getIds()

  Gets the value of the ids property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

  For example, to add a new item, do as follows:

          getIds().add(newItem);

  Objects of the following type(s) are allowed in the list `IDKMEHR`

### getCds

    public List<CDTRANSACTION> getCds()

  Gets the value of the cds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

  For example, to add a new item, do as follows:

          getCds().add(newItem);

  Objects of the following type(s) are allowed in the list `CDTRANSACTION`

### getDate

    public org.joda.time.DateTime getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(org.joda.time.DateTime value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getTime

    public org.joda.time.DateTime getTime()

  Gets the value of the time property.

  Returns:
    possible object is `String`

### setTime

    public void setTime(org.joda.time.DateTime value)

  Sets the value of the time property.

  Parameters:
    `value` - allowed object is `String`

### getAuthor

    public AuthorType getAuthor()

  Gets the value of the author property.

  Returns:
    possible object is `AuthorType`

### setAuthor

    public void setAuthor(AuthorType value)

  Sets the value of the author property.

  Parameters:
    `value` - allowed object is `AuthorType`

### getRedactor

    public AuthorType getRedactor()

  Gets the value of the redactor property.

  Returns:
    possible object is `AuthorType`

### setRedactor

    public void setRedactor(AuthorType value)

  Sets the value of the redactor property.

  Parameters:
    `value` - allowed object is `AuthorType`

### isIscomplete

    public Boolean isIscomplete()

  Gets the value of the iscomplete property.

  Returns:
    possible object is `Boolean`

### setIscomplete

    public void setIscomplete(Boolean value)

  Sets the value of the iscomplete property.

  Parameters:
    `value` - allowed object is `Boolean`

### isIsvalidated

    public Boolean isIsvalidated()

  Gets the value of the isvalidated property.

  Returns:
    possible object is `Boolean`

### setIsvalidated

    public void setIsvalidated(Boolean value)

  Sets the value of the isvalidated property.

  Parameters:
    `value` - allowed object is `Boolean`

### getExpirationdate

    public org.joda.time.DateTime getExpirationdate()

  Gets the value of the expirationdate property.

  Returns:
    possible object is `String`

### setExpirationdate

    public void setExpirationdate(org.joda.time.DateTime value)

  Sets the value of the expirationdate property.

  Parameters:
    `value` - allowed object is `String`

### getHeadingsAndItemsAndTexts

    public List<Object> getHeadingsAndItemsAndTexts()

  Gets the value of the headingsAndItemsAndTexts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the headingsAndItemsAndTexts property.

  For example, to add a new item, do as follows:

          getHeadingsAndItemsAndTexts().add(newItem);

  Objects of the following type(s) are allowed in the list `HeadingType` `ItemType` `TextType` `TextWithLayoutType` `LnkType`

### getRecorddatetime

    public org.joda.time.DateTime getRecorddatetime()

  Gets the value of the recorddatetime property.

  Returns:
    possible object is `String`

### setRecorddatetime

    public void setRecorddatetime(org.joda.time.DateTime value)

  Sets the value of the recorddatetime property.

  Parameters:
    `value` - allowed object is `String`

### getBegindate

    public org.joda.time.DateTime getBegindate()

  Gets the value of the begindate property.

  Returns:
    possible object is `String`

### setBegindate

    public void setBegindate(org.joda.time.DateTime value)

  Sets the value of the begindate property.

  Parameters:
    `value` - allowed object is `String`

### getEnddate

    public org.joda.time.DateTime getEnddate()

  Gets the value of the enddate property.

  Returns:
    possible object is `String`

### setEnddate

    public void setEnddate(org.joda.time.DateTime value)

  Sets the value of the enddate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSDENTIST 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.